
Ruby - Bug #9386

Ruby won't build tcl/tk extension, libpathflag expects array

01/09/2014 06:59 PM - jstribny (Josef Stribny)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: trunk Backport: 2.1: UNKNOWN

Description

Hi,

I wasn't successful building Ruby tcl/tk extension from trunk, since the last revision[1] switched to use libpathflag method

that expects an array, but on my Fedora "/usr/lib64":String would be passed to the method.

I believe the method should be accepting strings for single path as well (rather than fixing the commit by ensuring that an Array is

passed).

What do you think? Without the patch I am including I can't build Ruby with tcl/tk ext on Fedora.

Thank you.

[1] https://github.com/ruby/ruby/commit/dc4922b89d4e11fdf6a552e226fd901c3e67c99a

Associated revisions

Revision f06ee90f95714130a6f83099a4de7c82bbc37427 - 01/09/2014 03:47 PM - nobu (Nobuyoshi Nakada)

tk/extconf.rb: fix libpathflag arguments

ext/tk/extconf.rb: fix to pass arrays instead of strings to

libpathflag.  patch at [ruby-core:59665].  [Bug #9386]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44541 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f06ee90f - 01/09/2014 03:47 PM - nobu (Nobuyoshi Nakada)

tk/extconf.rb: fix libpathflag arguments

ext/tk/extconf.rb: fix to pass arrays instead of strings to

libpathflag.  patch at [ruby-core:59665].  [Bug #9386]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44541 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/09/2014 06:59 PM - jstribny (Josef Stribny)

- File 0001-Fix-libpathflag-to-accept-both-arrays-and-strings.patch added

#2 - 01/10/2014 12:10 AM - jstribny (Josef Stribny)

- File 0001-Fix-tk-extconf-to-pass-arrays-instead-of-strings-to-.patch added

Including alternative patch if we don't want to change the mkmf. This just fixes the revision.

#3 - 01/10/2014 12:47 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r44541.

Josef, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.
https://github.com/ruby/ruby/commit/dc4922b89d4e11fdf6a552e226fd901c3e67c99a


tk/extconf.rb: fix libpathflag arguments

ext/tk/extconf.rb: fix to pass arrays instead of strings to

libpathflag.  patch at [ruby-core:59665].  [Bug #9386]

Files

0001-Fix-libpathflag-to-accept-both-arrays-and-strings.patch 693 Bytes 01/09/2014 jstribny (Josef Stribny)

0001-Fix-tk-extconf-to-pass-arrays-instead-of-strings-to-.patch 3.11 KB 01/10/2014 jstribny (Josef Stribny)
